NAME="harfbuzz"
DESC="OpenType text shaping engine"
VERSION="8.1.1"

FILES=("https://github.com/harfbuzz/harfbuzz/releases/download/${VERSION}/harfbuzz-${VERSION}.tar.xz")
HASHES=("f0040d0fc02cf94cac9f46a94c44c6de")

DEPENDS=("freetype" "glib" "icu" "glibc" "graphite")
BUILD=(
  "cairo" "gobject-introspection" "meson"
  "python3" "gtk-doc" "pypa-setuptools"
)

PACKAGE() {
  tar xf "${NAME}-${VERSION}.tar.xz"
  cd "${NAME}-${VERSION}"

  mkdir build
  cd    build

  meson setup ..          \
      --prefix=/usr       \
      --buildtype=release \
      -Dgraphite2=enabled
  ninja
  DESTDIR="${ROOTDIR}" ninja install

  cd ../.. && rm -rf "${NAME}-${VERSION}"
}
