NAME="sphinx"
DESC="Set of tools for translating some structured text formats into pretty documentation in various formats"
VERSION="7.1.2"
FILES=("https://github.com/sphinx-doc/sphinx/archive/v${VERSION}/sphinx-${VERSION}.tar.gz")
HASHES=("ae8427a2035ebd4359c3df8f5436c4b9")
DEPENDS=(
  "pypi-alabaster" "pypi-babel" "pypi-docutils"
  "pypi-imagesize" "pypa-packaging" "pypi-pygments" 
  "pypi-requests" "pypi-snowballstemmer"
  
  "pypi-sphinxcontrib-applehelp" "pypi-sphinxcontrib-devhelp" "pypi-sphinxcontrib-htmlhelp"
  "pypi-sphinxcontrib-jsmath" "pypi-sphinxcontrib-qthelp" "pypi-sphinxcontrib-serializinghtml"
)

PACKAGE() {
  tar xf "${NAME}-${VERSION}.tar.gz"
  cd "${NAME}-${VERSION}"

  python3 -m build --wheel --skip-dependency-check --no-isolation
  PYTHONPATH=src python3 -m installer --destdir="${ROOTDIR}" dist/*.whl

  cd .. && rm -r "${NAME}-${VERSION}"
}
